Skip to main content
POST
/
v1
/
agents
/
{agent_id}
/
proposals
/
{proposal_id}
:approve
Approve a proposal
curl --request POST \
  --url https://api.usezombie.com/v1/agents/{agent_id}/proposals/{proposal_id}:approve \
  --header 'Authorization: Bearer <token>'
{
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "proposal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "APPLIED",
  "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Obtain a token via the CLI auth flow (POST /v1/auth/sessions) or GitHub OAuth

Path Parameters

agent_id
string<uuid>
required

Agent identifier

proposal_id
string<uuid>
required

Proposal identifier

Response

Proposal approved

agent_id
string<uuid>
required
proposal_id
string<uuid>
required
status
enum<string>
required

Outcome of the approval

Available options:
APPLIED,
CONFIG_CHANGED,
REJECTED
request_id
string<uuid>
required